
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>

#include "list.h"
#include "config.h"

void list_demo(void)
{
    struct list_t list;
    list_init(&list);
    for(uint32_t i = 0; i < 10; ++i)
    {
        list_add(&list, i);
    }
    list_print(&list);
}


void main(int arg, char *argv[])
{
#ifndef USE_DEMO
    printf("list test!\n");
    struct list_t list;
    list_init(&list);
    
    list_add(&list, 1);
    list_add(&list, 2);
    list_add(&list, 3);
    list_add(&list, 4);

    list_print(&list);
#else
    printf("list demo!\n");
    list_demo();
#endif
}
