
#ifndef _LIST_H_
#define _LIST_H_

#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>

typedef struct list_t
{
    uint8_t  data;
    struct list_t *next;
} list_t;

void list_init(struct list_t *list);
void list_add(struct list_t *list, uint8_t data);
void list_print(struct list_t *list);
void list_free(struct list_t *list);

#endif
